package jx.cn.escort.adapter


import android.content.Context
import android.util.TypedValue
import android.view.*
import androidx.recyclerview.widget.RecyclerView
import com.xuexiang.xui.utils.ResUtils.getResources
import com.xuexiang.xui.widget.textview.supertextview.SuperTextView
import jx.cn.escort.R
import jx.cn.escort.beans.AbilityData
import jx.cn.escort.beans.StatData
import jx.cn.escort.ui.activity.ActionTaskHandActivity
import jx.cn.escort.ui.activity.LoginActivity
import jx.cn.escort.utils.ActivityUtils


open class IndexAbilityRecycleAdapter(): RecyclerView.Adapter<IndexAbilityRecycleAdapter.IndexAbilityRecycleViewHolder>() {


    private var context: Context?=null
    private var mData = mutableListOf<AbilityData>()
    constructor(context: Context?):this(){
        this.context=context
    }
    constructor(context: Context?,  source:Collection<AbilityData>):this(context){
        if (source.isNotEmpty()) {
            source.forEach{
                mData.add(it)
            }

        }

    }







    class    IndexAbilityRecycleViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        var item: View?= itemView
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): IndexAbilityRecycleViewHolder {
        val view= LayoutInflater.from(context).inflate(R.layout.fragment_action,parent,false)
        return IndexAbilityRecycleViewHolder(view)

    }

    override fun onBindViewHolder(holder: IndexAbilityRecycleViewHolder, position: Int) {
        var statListItem=holder.item?.findViewById<SuperTextView>(R.id.action_list_item)
       var data=mData.get(holder.getBindingAdapterPosition())
        statListItem?.setCenterBottomString(data.title)
        statListItem?.centerTextView?.setBackgroundResource(data.icon)
        val width = TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, 100f,
            context?.let { getResources(it).getDisplayMetrics() }).toInt()
        val params: ViewGroup.LayoutParams? = statListItem?.layoutParams
        params?.width = width
        statListItem?.setLayoutParams(params)
        statListItem?.setOnClickListener(object: View.OnClickListener{
            override fun onClick(v: View?) {
                context?.let { ActivityUtils.startActivity(it, ActionTaskHandActivity::class.java) }
            }

        })

    }

    override fun getItemCount(): Int {
        return mData.size
    }

}