package jx.cn.escort.extension

import android.app.Activity
import android.view.LayoutInflater
import androidx.fragment.app.Fragment
import androidx.viewbinding.ViewBinding

class ExtensionBinding {

    companion object{

       @JvmStatic inline fun <reified T : ViewBinding> Fragment.binding(): Lazy<T> = lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            T::class.java.getMethod("inflate", LayoutInflater::class.java).invoke(null, requireActivity().layoutInflater) as T
        }

        @JvmStatic inline fun <reified T : ViewBinding> Activity.binding(): Lazy<T> = lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            T::class.java.getMethod("inflate", LayoutInflater::class.java).invoke(null, this.layoutInflater) as T
        }


    }

}
